
; PICBASIC PRO(TM) Compiler 2.60, (c) 1998, 2009 microEngineering Labs, Inc. All Rights Reserved. 
PM_USED			EQU	1

	INCLUDE	"16F87.INC"


; Define statements.
#define		CODE_SIZE		 4
#define		OSC		 4
#define		LCD_DREG		 PORTB
#define		LCD_DBIT		 4
#define		LCD_RSREG		 PORTB
#define		LCD_RSBIT		 1
#define		LCD_EREG		 PORTB
#define		LCD_EBIT		 2
#define		LCD_BITS		 4
#define		LCD_LINES		 2 
#define		LCD_COMMANDUS		 2000
#define		LCD_DATAUS		 50 

RAM_START       		EQU	00020h
RAM_END         		EQU	001EFh
RAM_BANKS       		EQU	00004h
BANK0_START     		EQU	00020h
BANK0_END       		EQU	0007Fh
BANK1_START     		EQU	000A0h
BANK1_END       		EQU	000EFh
BANK2_START     		EQU	00110h
BANK2_END       		EQU	0016Fh
BANK3_START     		EQU	00190h
BANK3_END       		EQU	001EFh
EEPROM_START    		EQU	02100h
EEPROM_END      		EQU	021FFh

R0              		EQU	RAM_START + 000h
R1              		EQU	RAM_START + 002h
R2              		EQU	RAM_START + 004h
R3              		EQU	RAM_START + 006h
R4              		EQU	RAM_START + 008h
R5              		EQU	RAM_START + 00Ah
R6              		EQU	RAM_START + 00Ch
R7              		EQU	RAM_START + 00Eh
R8              		EQU	RAM_START + 010h
FLAGS           		EQU	RAM_START + 012h
GOP             		EQU	RAM_START + 013h
RM1             		EQU	RAM_START + 014h
RM2             		EQU	RAM_START + 015h
RR1             		EQU	RAM_START + 016h
RR2             		EQU	RAM_START + 017h
_imp             		EQU	RAM_START + 018h
_PORTL           		EQU	 PORTB
_PORTH           		EQU	 PORTA
_TRISL           		EQU	 TRISB
_TRISH           		EQU	 TRISA
#define _PORTB??3        	 PORTB, 003h
	INCLUDE	"TAXO.MAC"
	INCLUDE	"PBPPIC14.LIB"


	ASM?
 device pic16F87, xt_osc, wdt_off, protect_off, pwrt_on 

	ENDASM?

	MOVE?CB	008h, TRISB
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	054h
	LCDOUT?C	061h
	LCDOUT?C	078h
	LCDOUT?C	06Fh
	LCDOUT?C	020h
	LCDOUT?C	076h
	LCDOUT?C	031h
	LCDOUT?C	02Eh
	LCDOUT?C	030h

	LABEL?L	_main	
	COUNT?TCB	_PORTB??3, 064h, _imp
	CMPNE?BCL	_imp, 006h, L00001
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00190h
	GOTO?L	_main
	LABEL?L	L00001	
	CMPNE?BCL	_imp, 008h, L00003
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	001F4h
	GOTO?L	_main
	LABEL?L	L00003	
	CMPNE?BCL	_imp, 00Ah, L00005
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00258h
	GOTO?L	_main
	LABEL?L	L00005	
	CMPNE?BCL	_imp, 00Bh, L00007
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	002BCh
	GOTO?L	_main
	LABEL?L	L00007	
	CMPNE?BCL	_imp, 00Dh, L00009
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00320h
	GOTO?L	_main
	LABEL?L	L00009	
	CMPNE?BCL	_imp, 00Fh, L00011
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00384h
	GOTO?L	_main
	LABEL?L	L00011	
	CMPNE?BCL	_imp, 010h, L00013
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	003E8h
	GOTO?L	_main
	LABEL?L	L00013	
	CMPNE?BCL	_imp, 012h, L00015
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0044Ch
	GOTO?L	_main
	LABEL?L	L00015	
	CMPNE?BCL	_imp, 014h, L00017
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	004B0h
	GOTO?L	_main
	LABEL?L	L00017	
	CMPNE?BCL	_imp, 015h, L00019
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00514h
	GOTO?L	_main
	LABEL?L	L00019	
	CMPNE?BCL	_imp, 017h, L00021
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00578h
	GOTO?L	_main
	LABEL?L	L00021	
	CMPNE?BCL	_imp, 019h, L00023
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	005DCh
	GOTO?L	_main
	LABEL?L	L00023	
	CMPNE?BCL	_imp, 01Ah, L00025
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00640h
	GOTO?L	_main
	LABEL?L	L00025	
	CMPNE?BCL	_imp, 01Ch, L00027
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	006A4h
	GOTO?L	_main
	LABEL?L	L00027	
	CMPNE?BCL	_imp, 01Eh, L00029
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00708h
	GOTO?L	_main
	LABEL?L	L00029	
	CMPNE?BCL	_imp, 01Fh, L00031
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0076Ch
	GOTO?L	_main
	LABEL?L	L00031	
	CMPNE?BCL	_imp, 021h, L00033
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	007D0h
	GOTO?L	_main
	LABEL?L	L00033	
	CMPNE?BCL	_imp, 023h, L00035
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00834h
	GOTO?L	_main
	LABEL?L	L00035	
	CMPNE?BCL	_imp, 024h, L00037
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00898h
	GOTO?L	_main
	LABEL?L	L00037	
	CMPNE?BCL	_imp, 026h, L00039
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	008FCh
	GOTO?L	_main
	LABEL?L	L00039	
	CMPNE?BCL	_imp, 028h, L00041
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00960h
	GOTO?L	_main
	LABEL?L	L00041	
	CMPNE?BCL	_imp, 02Ah, L00043
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	009C4h
	GOTO?L	_main
	LABEL?L	L00043	
	CMPNE?BCL	_imp, 02Bh, L00045
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00A28h
	GOTO?L	_main
	LABEL?L	L00045	
	CMPNE?BCL	_imp, 02Dh, L00047
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00A8Ch
	GOTO?L	_main
	LABEL?L	L00047	
	CMPNE?BCL	_imp, 02Fh, L00049
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00AF0h
	GOTO?L	_main
	LABEL?L	L00049	
	CMPNE?BCL	_imp, 030h, L00051
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00B54h
	GOTO?L	_main
	LABEL?L	L00051	
	CMPNE?BCL	_imp, 032h, L00053
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00BB8h
	GOTO?L	_main
	LABEL?L	L00053	
	CMPNE?BCL	_imp, 034h, L00055
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00C1Ch
	GOTO?L	_main
	LABEL?L	L00055	
	CMPNE?BCL	_imp, 035h, L00057
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00C80h
	GOTO?L	_main
	LABEL?L	L00057	
	CMPNE?BCL	_imp, 037h, L00059
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00CE4h
	GOTO?L	_main
	LABEL?L	L00059	
	CMPNE?BCL	_imp, 039h, L00061
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00D48h
	GOTO?L	_main
	LABEL?L	L00061	
	CMPNE?BCL	_imp, 03Ah, L00063
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00DACh
	GOTO?L	_main
	LABEL?L	L00063	
	CMPNE?BCL	_imp, 03Ch, L00065
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00E10h
	GOTO?L	_main
	LABEL?L	L00065	
	CMPNE?BCL	_imp, 03Eh, L00067
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00E74h
	GOTO?L	_main
	LABEL?L	L00067	
	CMPNE?BCL	_imp, 03Fh, L00069
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00ED8h
	GOTO?L	_main
	LABEL?L	L00069	
	CMPNE?BCL	_imp, 041h, L00071
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00F3Ch
	GOTO?L	_main
	LABEL?L	L00071	
	CMPNE?BCL	_imp, 043h, L00073
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	00FA0h
	GOTO?L	_main
	LABEL?L	L00073	
	CMPNE?BCL	_imp, 044h, L00075
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01004h
	GOTO?L	_main
	LABEL?L	L00075	
	CMPNE?BCL	_imp, 046h, L00077
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01068h
	GOTO?L	_main
	LABEL?L	L00077	
	CMPNE?BCL	_imp, 048h, L00079
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	010CCh
	GOTO?L	_main
	LABEL?L	L00079	
	CMPNE?BCL	_imp, 049h, L00081
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01130h
	GOTO?L	_main
	LABEL?L	L00081	
	CMPNE?BCL	_imp, 04Bh, L00083
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01194h
	GOTO?L	_main
	LABEL?L	L00083	
	CMPNE?BCL	_imp, 04Dh, L00085
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	011F8h
	GOTO?L	_main
	LABEL?L	L00085	
	CMPNE?BCL	_imp, 04Eh, L00087
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0125Ch
	GOTO?L	_main
	LABEL?L	L00087	
	CMPNE?BCL	_imp, 050h, L00089
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	012C0h
	GOTO?L	_main
	LABEL?L	L00089	
	CMPNE?BCL	_imp, 052h, L00091
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01324h
	GOTO?L	_main
	LABEL?L	L00091	
	CMPNE?BCL	_imp, 053h, L00093
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01388h
	GOTO?L	_main
	LABEL?L	L00093	
	CMPNE?BCL	_imp, 055h, L00095
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	013ECh
	GOTO?L	_main
	LABEL?L	L00095	
	CMPNE?BCL	_imp, 057h, L00097
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01450h
	GOTO?L	_main
	LABEL?L	L00097	
	CMPNE?BCL	_imp, 059h, L00099
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	014B4h
	GOTO?L	_main
	LABEL?L	L00099	
	CMPNE?BCL	_imp, 05Ah, L00101
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01518h
	GOTO?L	_main
	LABEL?L	L00101	
	CMPNE?BCL	_imp, 05Ch, L00103
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0157Ch
	GOTO?L	_main
	LABEL?L	L00103	
	CMPNE?BCL	_imp, 05Eh, L00105
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	015E0h
	GOTO?L	_main
	LABEL?L	L00105	
	CMPNE?BCL	_imp, 05Fh, L00107
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01644h
	GOTO?L	_main
	LABEL?L	L00107	
	CMPNE?BCL	_imp, 061h, L00109
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	016A8h
	GOTO?L	_main
	LABEL?L	L00109	
	CMPNE?BCL	_imp, 063h, L00111
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0170Ch
	GOTO?L	_main
	LABEL?L	L00111	
	CMPNE?BCL	_imp, 064h, L00113
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01770h
	GOTO?L	_main
	LABEL?L	L00113	
	CMPNE?BCL	_imp, 066h, L00115
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	017D4h
	GOTO?L	_main
	LABEL?L	L00115	
	CMPNE?BCL	_imp, 068h, L00117
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01838h
	GOTO?L	_main
	LABEL?L	L00117	
	CMPNE?BCL	_imp, 069h, L00119
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0189Ch
	GOTO?L	_main
	LABEL?L	L00119	
	CMPNE?BCL	_imp, 06Bh, L00121
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01900h
	GOTO?L	_main
	LABEL?L	L00121	
	CMPNE?BCL	_imp, 06Dh, L00123
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01964h
	GOTO?L	_main
	LABEL?L	L00123	
	CMPNE?BCL	_imp, 06Eh, L00125
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	019C8h
	GOTO?L	_main
	LABEL?L	L00125	
	CMPNE?BCL	_imp, 070h, L00127
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01A2Ch
	GOTO?L	_main
	LABEL?L	L00127	
	CMPNE?BCL	_imp, 072h, L00129
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01A90h
	GOTO?L	_main
	LABEL?L	L00129	
	CMPNE?BCL	_imp, 073h, L00131
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01AF4h
	GOTO?L	_main
	LABEL?L	L00131	
	CMPNE?BCL	_imp, 075h, L00133
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01B58h
	GOTO?L	_main
	LABEL?L	L00133	
	CMPNE?BCL	_imp, 077h, L00135
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01BBCh
	GOTO?L	_main
	LABEL?L	L00135	
	CMPNE?BCL	_imp, 078h, L00137
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01C20h
	GOTO?L	_main
	LABEL?L	L00137	
	CMPNE?BCL	_imp, 07Ah, L00139
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01C84h
	GOTO?L	_main
	LABEL?L	L00139	
	CMPNE?BCL	_imp, 07Ch, L00141
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01CE8h
	GOTO?L	_main
	LABEL?L	L00141	
	CMPNE?BCL	_imp, 07Dh, L00143
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01D4Ch
	GOTO?L	_main
	LABEL?L	L00143	
	CMPNE?BCL	_imp, 07Fh, L00145
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01DB0h
	GOTO?L	_main
	LABEL?L	L00145	
	CMPNE?BCL	_imp, 081h, L00147
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01E14h
	GOTO?L	_main
	LABEL?L	L00147	
	CMPNE?BCL	_imp, 082h, L00149
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01E78h
	GOTO?L	_main
	LABEL?L	L00149	
	CMPNE?BCL	_imp, 084h, L00151
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01EDCh
	GOTO?L	_main
	LABEL?L	L00151	
	CMPNE?BCL	_imp, 086h, L00153
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01F40h
	GOTO?L	_main
	LABEL?L	L00153	
	CMPNE?BCL	_imp, 088h, L00155
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	01FA4h
	GOTO?L	_main
	LABEL?L	L00155	
	CMPNE?BCL	_imp, 089h, L00157
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02008h
	GOTO?L	_main
	LABEL?L	L00157	
	CMPNE?BCL	_imp, 08Bh, L00159
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0206Ch
	GOTO?L	_main
	LABEL?L	L00159	
	CMPNE?BCL	_imp, 08Dh, L00161
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	020D0h
	GOTO?L	_main
	LABEL?L	L00161	
	CMPNE?BCL	_imp, 08Eh, L00163
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02134h
	GOTO?L	_main
	LABEL?L	L00163	
	CMPNE?BCL	_imp, 090h, L00165
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02198h
	GOTO?L	_main
	LABEL?L	L00165	
	CMPNE?BCL	_imp, 092h, L00167
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	021FCh
	GOTO?L	_main
	LABEL?L	L00167	
	CMPNE?BCL	_imp, 093h, L00169
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02260h
	GOTO?L	_main
	LABEL?L	L00169	
	CMPNE?BCL	_imp, 095h, L00171
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	022C4h
	GOTO?L	_main
	LABEL?L	L00171	
	CMPNE?BCL	_imp, 097h, L00173
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02328h
	GOTO?L	_main
	LABEL?L	L00173	
	CMPNE?BCL	_imp, 098h, L00175
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0238Ch
	GOTO?L	_main
	LABEL?L	L00175	
	CMPNE?BCL	_imp, 09Ah, L00177
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	023F0h
	GOTO?L	_main
	LABEL?L	L00177	
	CMPNE?BCL	_imp, 09Ch, L00179
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02454h
	GOTO?L	_main
	LABEL?L	L00179	
	CMPNE?BCL	_imp, 09Dh, L00181
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	024B8h
	GOTO?L	_main
	LABEL?L	L00181	
	CMPNE?BCL	_imp, 09Fh, L00183
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	0251Ch
	GOTO?L	_main
	LABEL?L	L00183	
	CMPNE?BCL	_imp, 0A1h, L00185
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02580h
	GOTO?L	_main
	LABEL?L	L00185	
	CMPNE?BCL	_imp, 0A2h, L00187
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	025E4h
	GOTO?L	_main
	LABEL?L	L00187	
	CMPNE?BCL	_imp, 0A4h, L00189
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02648h
	GOTO?L	_main
	LABEL?L	L00189	
	CMPNE?BCL	_imp, 0A6h, L00191
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	026ACh
	GOTO?L	_main
	LABEL?L	L00191	
	CMPNE?BCL	_imp, 0A7h, L00193
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	02710h
	GOTO?L	_main
	LABEL?L	L00193	
	GOTO?L	_main
	END?	

	END
